summaryrefslogtreecommitdiffstats
path: root/perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild')
-rw-r--r--perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild b/perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild
index d5db3830c3..afca203b87 100644
--- a/perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild
+++ b/perl/perl-Compress-Bzip2/perl-Compress-Bzip2.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-Compress-Bzip2
-# Copyright 2013 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2013-2017 Heinz Wiesinger, Amsterdam, The Netherlands
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
PRGNAM=perl-Compress-Bzip2
SRCNAM=Compress-Bzip2
-VERSION=2.17
+VERSION=2.25
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -78,6 +78,9 @@ make
make test
make install DESTDIR=$PKG
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
find $PKG/usr/man -type f -exec gzip -9 {} \;
# Remove perlocal.pod and .packlist from $PKG
@@ -87,7 +90,7 @@ find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f
find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ANNOUNCE Changes COPYING INSTALL MANIFEST NEWS README SIGNATURE \
+cp -a ANNOUNCE Changes COPYING INSTALL MANIFEST NEWS README.md SIGNATURE \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild